[DRE-commits] [rails] 01/08: Update repack script and add README.source (Closes: #742407)
Ondrej Sury
ondrej at moszumanska.debian.org
Tue Jul 22 18:24:21 UTC 2014
This is an automated email from the git hooks/post-receive script.
ondrej pushed a commit to branch master
in repository rails.
commit 048e1493e48143df9da984cfca77bac8152654b1
Author: Ondřej Surý <ondrej at sury.org>
Date: Wed Jul 16 17:14:49 2014 +0200
Update repack script and add README.source (Closes: #742407)
---
debian/README.source | 17 ++++++++++
debian/dfsg-repack.sh | 28 ----------------
debian/repack.local | 1 +
debian/repack.sh | 91 +++++++++++++++++++++++++++++++++++++++++++++++++++
4 files changed, 109 insertions(+), 28 deletions(-)
diff --git a/debian/README.source b/debian/README.source
new file mode 100644
index 0000000..317130e
--- /dev/null
+++ b/debian/README.source
@@ -0,0 +1,17 @@
+rails for Debian
+----------------
+
+ * There are number of non-free files in rails sources that we remove
+ and repack the tarball by running:
+ # debian/repack.sh --upstream-version <version> <orig_tarball>
+
+ * I have switched the repack.sh script to one from pkg-perl-tools
+ because it's easy to use. You can either install pkg-perl-tools
+ or just download the repack.sh from:
+
+ http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git;\
+ a=blob_plain;f=scripts/repack.sh;hb=HEAD
+
+ and put it into PATH or ../../scripts/repack.sh
+
+ -- Ondřej Surý <ondrej at debian.org>, Wed, 16 Jul 2014 17:02:54 +0200
diff --git a/debian/dfsg-repack.sh b/debian/dfsg-repack.sh
deleted file mode 100755
index 5c57c7f..0000000
--- a/debian/dfsg-repack.sh
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/bash
-
-set -e
-
-if [ ! -f "$3" ] && [ ! -f "$1" ]; then
- echo "This script must be run via uscan or by manually specifying the tarball" >&2
- exit 1
-fi
-
-tarball=
-
-[ -f "$3" ] && tarball="$3"
-[ -z "$tarball" -a -f "$1" ] && tarball="$1"
-
-fname="$(basename "$tarball")"
-tarball="$(readlink -f "$tarball")"
-
-tdir="$(mktemp -d)"
-trap '[ ! -d "$tdir" ] || rm -r "$tdir"' EXIT
-
-zcat "$tarball" | \
- tar --wildcards \
- --delete '*/guides/*' \
- --delete '*/actionpack/test/fixtures/multipart/mona_lisa.jpg' \
- > "$tdir/${fname/.gz}"
-xz "$tdir/${fname/.gz}"
-
-mv "$tdir/${fname/.gz}.xz" "${tarball/.tar.gz}+dfsg.tar.xz"
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100755
index 0000000..caf7c4c
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1 @@
+rm */actionpack/test/fixtures/multipart/mona_lisa.jpg
diff --git a/debian/repack.sh b/debian/repack.sh
new file mode 100755
index 0000000..7e36f5f
--- /dev/null
+++ b/debian/repack.sh
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=head1 COPYRIGHT AND LICENSE
+
+Copyright 2009, Ryan Niebur <ryan at debian.org>
+
+This program is free software; you can redistribute it and/or modify it
+under the same terms as Perl itself.
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+ if [ -x /usr/share/pkg-perl-tools/repack.sh ]; then
+ REPACK_SH='/usr/share/pkg-perl-tools/repack.sh'
+ elif [ -f ../../scripts/repack.sh ]; then
+ REPACK_SH=../../scripts/repack.sh
+ fi
+ if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+ REPACK_SH=$(which repack.sh)
+ fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+ echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+ echo "You can get it from http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git;a=blob_plain;f=scripts/repack.sh;hb=HEAD"
+ exit 1
+fi
+
+exec "$REPACK_SH" "$@"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/rails.git
More information about the Pkg-ruby-extras-commits
mailing list